namespace OpenWarehouse.auth.api.Common.RegisterTokenManager;

public interface IRegisterTokenManager
{
    public Task<RegisterToken> AddNewToken(string token, ApplicationUser creator, List<string> avaliableRole);
    public Task<RegisterToken> AddNewTolken(string token, ApplicationUser creator, List<ApplicationRole> avaliableRole);
    public Task<RegisterToken?> GetToken(string token);
}